Bug 1799718 - Detect openstack virt platform for better support
Summary: Detect openstack virt platform for better support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 18:48 UTC by Clayton Coleman
Modified: 2020-05-13 21:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:56:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift node_exporter pull 55 0 None closed Bug 1799718: Detect OpenStack virt type nodes 2020-12-29 15:28:59 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:56:47 UTC

Description Clayton Coleman 2020-02-06 18:48:22 UTC
Add detection for OpenStack VM type (virt_platform counting) to ensure non-cloud provider OpenStack clusters are adequately represented.  overt already is.

Comment 3 Lili Cosic 2020-02-07 13:42:18 UTC
Not sure this is release blocking bug. Lowering priority, feel free to revert if you think it is.

Comment 4 Clayton Coleman 2020-02-10 15:31:03 UTC
I had tested on the CI system OpenStack with RHCoS nodes hosted by nova compute.  In your test environment, what did you test with?

Telemetry is returning openstack nodes from 4.4 CI so I think this may be an environment specific issue we need to debug in. E.g. 

  cluster:virt_platform_nodes:sum{_id="4a59dcfb-8384-439a-a02c-e12c573a65e5",prometheus="openshift-monitoring/k8s",receive="true",type="openstack"}	6

Would you please gather the full output of dmidecode and add it as an attachment to the bug?

Comment 5 David Sanz 2020-02-18 15:12:13 UTC
Verified on 4.4.0-0.nightly-2020-02-18-140650

[morenod@morenod-laptop ~]$ oc exec -c node-exporter node-exporter-gmzrx -n openshift-monitoring -- cat /var/node_exporter/textfile/virt.prom
# HELP virt_platform reports one series per detected virtualization type. If no type is detected, the type is "none".
# TYPE virt_platform gauge
virt_platform{type="kvm"} 1
virt_platform{type="openstack"} 1

Comment 7 errata-xmlrpc 2020-05-13 21:56:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.